# Usefull Oneliners

## vim

* Set tab to 4 spaces:
    ```
    set tabstop=8 softtabstop=0 expandtab shiftwidth=4 smarttab
    ```

## Shell

* Find my public IP:
    ```
    dig +short myip.opendns.com @resolver1.opendns.com
    ```

* Check if private and public ssh key match:
    ```
    diff <(cat ~/.ssh/id_rsa.pub | cut -d' ' -f 2) <(ssh-keygen -y -f ~/.ssh/id_rsa | cut -d' ' -f 2)'
    ```


References
------
* https://stackoverflow.com/questions/1878974/redefine-tab-as-4-spaces
* https://serverfault.com/questions/426394/how-to-check-if-a-rsa-public-private-key-pair-matched